sayren Docs
구매자

구매자 적립금 조회

잔액, 30일 안에 소멸할 금액, 남은 금액이 있는 적립 묶음(소멸이 이른 순, 최대 100개).

GET
/v1/customers/{customerId}/points

잔액, 30일 안에 소멸할 금액, 남은 금액이 있는 적립 묶음(소멸이 이른 순, 최대 100개).

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

customerId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/customers/string/points' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "balance": 0,    "expiringSoon": 0,    "lots": [      {        "lotId": "string",        "source": "REVIEW",        "amount": 0,        "remaining": 0,        "expiresAt": "string",        "createdAt": "string"      }    ]  },  "error": null}